summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2015-06-17 20:07:56 +0300
committerAndrei Karas <akaras@inbox.ru>2015-06-17 20:07:56 +0300
commit6814588a1f32a5c8e00f10f16b18ee0dab40d62a (patch)
tree67fcf8a48c5b773b2003950fe73e82722838fc83 /test
parent7a52d46bcfaf038a09b67497500dc3bcea747801 (diff)
downloadparanucker-6814588a1f32a5c8e00f10f16b18ee0dab40d62a.tar.gz
paranucker-6814588a1f32a5c8e00f10f16b18ee0dab40d62a.tar.bz2
paranucker-6814588a1f32a5c8e00f10f16b18ee0dab40d62a.tar.xz
paranucker-6814588a1f32a5c8e00f10f16b18ee0dab40d62a.zip
Tun tests builds always in 9 jobs.
Diffstat (limited to 'test')
-rw-r--r--test/Makefile17
1 files changed, 10 insertions, 7 deletions
diff --git a/test/Makefile b/test/Makefile
index bcf1c24..2547287 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -1,17 +1,20 @@
-.PHONY: test1 test2 test3 test4 test5 test6 test7 crashtest1 crashtest2 all crashes clean
-.NOTPARALLEL: all allcrash
+CRASHES = crashtest1 crashtest2 crashtest3 crashtest4
+ALLTESTS = test1 test2 test3 test4 test5 test6 test7
+
+.PHONY: ${ALLTESTS} ${CRASHES} all crashes clean
CC := gcc-5
CXX := g++-5
+MAKEFLAGS += --jobs=9
PLUGIN = ../build/src/.libs/astdumper.so
-CMD = LANG=C ${CXX} -c -fplugin=${PLUGIN} -fplugin-arg-astdumper-command=${1} ${2} -o a.out 2>${3}
+CMD = LANG=C ${CXX} -c -fplugin=${PLUGIN} -fplugin-arg-astdumper-command=${1} ${2} -o ../build/${3}.out 2>${3}
-all: test1 test2 test3 test4 test5 test6 test7 clean
-crashes: crashtest1 crashtest2 crashtest3 crashtest4 clean
+all: ${ALLTESTS} ${CRASHES} clean
+crashes: ${CRASHES} clean
-clean:
- @rm a.out 2>/dev/null || true
+clean: ${ALLTESTS} ${CRASHES}
+ @rm ../build/*.out 2>/dev/null || true
test1:
$(call CMD,dump,test1.c,test1-01.txt)